Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.server
Interface ExceptionHandler

All Known Implementing Classes:
  DefaultExceptionHandler

    public interface ExceptionHandler

Handles an exception produced while processing a request.

See Also:
  `DefaultExceptionHandler`

Method Summary
`ServerFailure` | `createServerFailure(java.lang.Throwable throwable)` Generates a `ServerFailure` based on the information contained in the received `exception`.

Method Detail

### createServerFailure

    ServerFailure createServerFailure(java.lang.Throwable throwable)

  Generates a `ServerFailure` based on the information contained in the received `exception`.

  Parameters:
    `throwable` - a Throwable instance
  Returns:
    a `ServerFailure` instance
  See Also:
    `DefaultExceptionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD